Resent-Date: Mon, 16 Aug 1999 22:34:45 +0200 (MET DST)
Date: Mon, 16 Aug 1999 22:34:23 +0200 (CEST)
From: Geert Uytterhoeven <geert@thomas.kotnet.org>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: misc fixes
Resent-From: linux-m68k@phil.uni-sb.de


Here are some misc fixes for 2.3.13:

  - Circumvent IDE link problem (due to missing outw/outl). I'm discussing this
    with Andr Hedrick
  - Avoid warning in IDE code (region_request is the different between two
    ide_ioreg_t, hence an int)
  - dmasound: sq_release_read_buffers() is used on PPC only
  - vfb: update vfb_setup()

--- m68k-2.3.13/drivers/block/ide-proc.c.orig	Mon Aug 16 10:12:29 1999
+++ m68k-2.3.13/drivers/block/ide-proc.c	Mon Aug 16 11:52:20 1999
@@ -215,6 +215,7 @@
 				goto parse_error;
 			}
 #endif	/* CONFIG_BLK_DEV_IDEPCI */
+#if 0
 			if (for_real) {
 #if 0
 				printk("proc_ide_write_config: type=%c, reg=0x%x, val=0x%x, digits=%d\n", is_pci ? 'PCI' : 'non-PCI', reg, val, digits);
@@ -253,6 +254,7 @@
 					}
 				}
 			}
+#endif
 		}
 	} while (!for_real++);
 	restore_flags(flags);	/* all CPUs */
--- m68k-2.3.13/drivers/block/ide-probe.c.orig	Mon Aug 16 10:13:05 1999
+++ m68k-2.3.13/drivers/block/ide-probe.c	Mon Aug 16 21:08:41 1999
@@ -413,7 +413,7 @@
 	ide_ioreg_t ide_control_reg 	= hwif->io_ports[IDE_CONTROL_OFFSET];
 	ide_ioreg_t region_low 		= hwif->io_ports[IDE_DATA_OFFSET];
 	ide_ioreg_t region_high 	= region_low;
-	ide_ioreg_t region_request	= 8;
+	unsigned int region_request	= 8;
 	int i;
 
 	if (hwif->noprobe)
--- m68k-2.3.13/drivers/sound/dmasound.c.orig	Mon Aug 16 10:18:53 1999
+++ m68k-2.3.13/drivers/sound/dmasound.c	Mon Aug 16 20:54:04 1999
@@ -5646,7 +5646,9 @@
 		sound.mach.irqcleanup();
 	}
 
+#ifdef CONFIG_PPC
 	sq_release_read_buffers();
+#endif
 	sq_release_buffers();
 
 	if (mixer_unit >= 0)
--- m68k-2.3.13/drivers/video/vfb.c.orig	Mon Aug 16 10:18:53 1999
+++ m68k-2.3.13/drivers/video/vfb.c	Mon Aug 16 11:56:19 1999
@@ -406,7 +406,7 @@
 }
 
 
-void __init vfb_setup(char *options, int *ints)
+void __init vfb_setup(char *options)
 {
     char *this_opt;
 
Greetings,

						Geert

--
Geert Uytterhoeven                    Geert.Uytterhoeven@thomas.kotnet.org
Wavelets, Linux/{m68k~Amiga,PPC~CHRP} http://www.thomas.kotnet.org/~geert/
KotNET@Thomas Network Administration -- Make your bed part of Cyberspace!!

